<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet
     version="1.0"
     xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" />
  <xsl:template match="rss/channel">
    <html>
      <head>
        <title>
          <xsl:value-of select="title" />
        </title>
        <SCRIPT LANGUAGE="JavaScript">
          function invokeWin(obj)
          {
          obj.childNodes[0].style.color='blue';
          window.external.winFunction(obj.childNodes[0].href);
          }
          function scriptFunc(str)
          {
          alert(str);
          }
        </SCRIPT>
        <style media="all" lang="en" type="text/css">
          body
          {
          background-color:#ccc;
          }
          .ChannelTitle
          {
          font-family:  Verdana;
          font-size:  11pt;
          font-weight:  bold;
          width:  500px;
          text-align:  center;
          }
          .PostDate
          {
          font-family:  Verdana;
          font-size:  7pt;
          padding-left:  15px;
          }
          A,A:visited
          {
          text-decoration:  none;
          color: #000
          }
          A:link
          {
          text-decoration:  none;
          }
          A:hover
          {
          text-decoration:  underline;
          }
        </style>
      </head>
      <body>
        <xsl:apply-templates select="title" />
        <ol>
          <xsl:apply-templates select="item" />
        </ol>
        <div align="center">&#169; 2008WawaSoft 2008</div>
      </body>
    </html>
  </xsl:template>
  <xsl:template match="title">
    <div class="ChannelTitle">
      <xsl:value-of select="text()" />
    </div>
    <br />
  </xsl:template>
  <xsl:template match="item">
    <li>
      <span onclick="invokeWin(this)">
        <a TARGET="_blank" href="{link}">
          <xsl:if test="@read='true'">
            <xsl:attribute name="style">color:blue;</xsl:attribute>
          </xsl:if>
          <xsl:value-of select="title" />
        </a>
      </span>
      <span class="PostDate">
        <xsl:value-of select="pubDate" />
      </span>
    </li>
  </xsl:template>
</xsl:stylesheet>